.scroll-to-top {
    @include transition-duration(0.4s);
    @include transition-property(bottom, opacity, z-index);
    @include transition-timing(ease);
    background-color: $background-color-default;
    border-radius: 50%;
    bottom: 10px;
    cursor: pointer;
    height: 50px;
    opacity: 0;
    position: fixed;
    right: 20px;
    text-align: center;
    width: 50px;
    z-index: 999;
    box-shadow: 0 0 10px rgba($background-color-2, 0.6);
    &::before {
        color: $text-color-1;
        content: "\f106";
        display: inline-block;
        font-family: "FontAwesome";
        font-size: 36px;
        line-height: 46px;
        vertical-align: middle;
    }
    &.active {
        bottom: 20px;
        opacity: 1;
        z-index: 999;
    }
}